Finding additional solutions

Norton 360 provides several ways to help you solve any problems you may occasionally experience.

When you first click the Support link, Norton 360 checks to see if your PC is connected to the Internet. A connection to the Symantec Support web site ensures that the latest troubleshooting information is available to help solve your issue. If you are experiencing a problem, downloading the latest updates will often fix it.

For more information, select one of the sub-entries for this help topic.